Results 1 to 3 of 3

Thread: Can't seem to get xorg-macros 1.6.0 to install

  1. #1

    Default Can't seem to get xorg-macros 1.6.0 to install

    Complete novice here.

    I am trying to use the 'autoconf' command and I keep getting an error message saying I need to have xorg-macros 1.3 or later. I have downloaded both 1.4 and 1.6.0 and tried to install them. Apparently all to no avail, because when I run the autoconf script it comes back as saying I only have 1.2.2 installed. Where do I start looking to figure out what I am screwing up?

    When I run the configure script in the util-macros-1.6.0 it seems to run right. Then I run make and it says "nothing to do for 'all'". Then I run 'make install' and it seems to run that but apparently it isn't getting installed.

    Here is the output of ./configure;make;make install
    linux-y52a:/home/alton/Download/util-macros-1.6.0 # ./configure;make;make install
    checking for a BSD-compatible install... /usr/bin/install -c
    checking whether build environment is sane... yes
    checking for a thread-safe mkdir -p... /bin/mkdir -p
    checking for gawk... gawk
    checking whether make sets $(MAKE)... yes
    checking whether to enable maintainer-specific portions of Makefiles... no
    checking for a BSD-compatible install... /usr/bin/install -c
    configure: creating ./config.status
    config.status: creating xorg-macros.pc
    config.status: creating Makefile
    config.status: creating xorg-macros.m4
    make: Nothing to be done for `all'.
    make[1]: Entering directory `/home/alton/Download/util-macros-1.6.0'
    make[1]: Nothing to be done for `install-exec-am'.
    test -z "/usr/local/share/aclocal" || /bin/mkdir -p "/usr/local/share/aclocal"
    /usr/bin/install -c -m 644 'xorg-macros.m4' '/usr/local/share/aclocal/xorg-macros.m4'
    test -z "/usr/local/share/util-macros" || /bin/mkdir -p "/usr/local/share/util-macros"
    /usr/bin/install -c -m 644 'INSTALL' '/usr/local/share/util-macros/INSTALL'
    test -z "/usr/local/share/pkgconfig" || /bin/mkdir -p "/usr/local/share/pkgconfig"
    /usr/bin/install -c -m 644 'xorg-macros.pc' '/usr/local/share/pkgconfig/xorg-macros.pc'
    make install-data-hook
    make[2]: Entering directory `/home/alton/Download/util-macros-1.6.0'
    rm -f /usr/local/share/aclocal/xorgversion.m4
    make[2]: Leaving directory `/home/alton/Download/util-macros-1.6.0'
    make[1]: Leaving directory `/home/alton/Download/util-macros-1.6.0'

  2. #2
    Join Date
    Jun 2008
    Location
    Scotland, UK
    Posts
    83

    Default Re: Can't seem to get xorg-macros 1.6.0 to install

    Could you explain in lots more detail what you are trying to do, from the beginning...

    Autoconf is included in the openSUSE repositories, and when you install it, it will include all required dependencies. autoconf isn't what needs xorg-macros.

    It sounds more like you are trying to rebuild some Xorg component. What are you trying to build? Probably there's no need.

    Anyway the xorg-macros are already included in the openSUSE package xorg-x11-proto-devel.

  3. #3
    Join Date
    Jul 2011
    Location
    Randfontein
    Posts
    3

    Default Re: Can't seem to get xorg-macros 1.6.0 to install

    Similar problem. Running SuSE 11.2

    Trying to compile development xorg driver for geode video adapter.

    Autogen script breaks with "must install xorg-macros 1.4 or later before running autoconf/autogen"

    I have xorg-x11-proto-devel 7.4-20.2 installed

    Advice?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •